petsc-3.4.2 2013-07-02

# PetscLogEventDeactivateClass

Deactivates event logging for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscLogEventDeactivateClass(PetscClassId classid)

Not Collective

### Input Parameter

classid -The event class, for example MAT_CLASSID, SNES_CLASSID, etc.

### Keywords

log, event, deactivate, class

### See Also

PetscInfoActivate(),PetscInfo(),PetscInfoAllow(),PetscLogEventActivateClass(), PetscLogEventActivate(),PetscLogEventDeactivate()

Level:developer
Location:src/sys/logging/plog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages